Bug 505201 - Improve %artist% handling with compilations
Improve %artist% handling with compilations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
http://git.gnome.org/cgit/banshee/com...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 19:43 EDT by Peter Gordon
Modified: 2010-06-01 11:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-01 11:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 570298 None None None Never

  None (edit)
Description Peter Gordon 2009-06-10 19:43:11 EDT
Description of problem:
(This is essentially the issue from GNOME Bug #570298; and for tracking its status in the Fedora package.)

Banshee currently handles automatic file/directory renaming for most albums quite well when they are of a single artist. But when there is a compilation or album with more than one artist, the album is split into directories based on each individual artist. For example, with the 'Artist/Album/Number. Title' scheme:

Music/ArtistFoo/AlbumName/01. Track One.flac
Music/ArtistBar/AlbumName/02. Track Two.flac
Music/ArtistBar/AlbumName/03. Track Three.flac
Music/ArtistBaz/AlbumName/04. Track Four.flac

This was recently fixed in the 1.6.0 Beta 1 release with a patch that changes this handling to use the Album Artist for organizing the files instead of individual Track Artist data. With the new Banshee, the above would be organized by the compilation artist, and the individual Track Artist data would remain in the file metadata for searching/sorting/etc within Banshee:

Music/CoolNewAlbum/01. Track One.flac
Music/CoolNewAlbum/02. Track Two.flac
Music/CoolNewAlbum/03. Track Three.flac
Music/CoolNewAlbum/04. Track Four.flac


"Pristine" Banshee 1.4.3 does not have this support. This bug is a request to backport the patch to Fedora's build. This changed happened in git commit 6258481cb2d232d29bee947d9a3f6b87534bb348 (linked in the URL field, and below).

While I might normally frown upon patching heavily, I feel that this request is very reasonable for two primary reasons: The first being that this fix is already in the upstream source tree and would likely be part of the next bug-fix 1.4 update or 1.6 Beta. The second reason is that, as can be seen from the above comparison, this significantly improve the "out of the box" Banshee experience, as it tunes Banshee's behavior closer to what one would expect (e.g., they are on-disk in 1 directory per album, rather than many subdirectories on a per-Track Artist basis).

The change is: [1] http://git.gnome.org/cgit/banshee/commit/?id=6258481cb2d232d29bee947d9a3f6b87534bb348
Comment 1 Peter Gordon 2009-07-23 02:22:25 EDT
A better patch (since that git commit is displayed ignoring the whitespace) is at the GNOME bug: http://bugzilla.gnome.org/attachment.cgi?id=127968&action=view

For what it's worth, I've been using this patch against Fedora's stock 1.4.3-4 build for the path month or so, since reporting this bug; and haven't seen any problems caused by it.
Comment 2 Bug Zapper 2010-04-27 10:45:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Benjamín Valero Espinosa 2010-06-01 11:54:27 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.